# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2017-TODAY Eynes (<http://www.e-mips.com.ar>)
#
#    This is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    "name": "Credipaz Product Financing",
    'category': 'Credipaz',
    'version': '8.0.1.0.7',
    "author": "Eynes",
    "summary": "Handle product Financing issues to be used by the POS.",
    "description": """
    Allow to set different quantities of quotas for a product and a different amount in each quota.
    """,
    "depends": [
        "product",
        "account",
        "point_of_sale",
        "l10n_ar_point_of_sale",
        "pos_serial",
        "stock",
        "product_unique_serial",
        "product_variant_update_price",
        "report_custom_filename",
        "l10n_ar_wsfe",
        "l10n_ar_cash_register",
        "credipaz_customizations",
    ],
    "data": [
        "data/decimal_precision_data.xml",
        "data/stock_data.xml",
        "data/params_data.xml",
        "data/cron_data.xml",
        "views/financing_view.xml",
        "views/product_view.xml",
        "views/partner_view.xml",
        "views/journal_view.xml",
        "views/pos_view.xml",
        "views/invoice_view.xml",
        "views/stock_view.xml",
        "views/ws_view.xml",
        "views/financings_updater_view.xml",
        "views/menuitems.xml",
        "security/ir.model.access.csv",
        "security/security_rules.xml",
        "static/src/xml/financing.xml",
    ],
    "qweb": ["static/src/xml/pos.xml"],
    "installable": True,
    "application": True,
}
