# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2014-TODAY Eynes (<http://www.e-mips.com.ar>)
#
#    This is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import psycopg2


def _update_columns(cr):
    try:
        cr.execute("""
        WITH order_to_update AS (
            WITH q1 AS (SELECT id order_id0, amount_total amount_total_po FROM pos_order),
                q2 AS (SELECT pol.order_id order_id, sum(pol.price_subtotal_incl) amount_total_pol FROM pos_order_line pol GROUP BY pol.order_id)
        SELECT * FROM q1 JOIN q2 ON q1.order_id0=q2.order_id
        WHERE q1.amount_total_po!=q2.amount_total_pol  -- Due to changes in VAT amounts, this may differs so the real is the one got by POL
        )
        UPDATE pos_order SET amount_total=order_to_update.amount_total_pol FROM order_to_update WHERE id=order_to_update.order_id;
        """)
        cr.commit()
    except psycopg2.ProgrammingError:
        cr.rollback()

    return True


def migrate(cr, installed_version):
    return _update_columns(cr)
