# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2014-TODAY Eynes (<http://www.e-mips.com.ar>)
#
#    This is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import psycopg2


def _update_columns(cr):
    try:
        cr.execute("""
        SELECT column_name
        FROM information_schema.columns
        WHERE table_name='pos_order' and column_name='amount_total_2';
        """)
        if not cr.rowcount:
            cr.execute("ALTER TABLE pos_order ADD COLUMN amount_total_2 numeric;")
        cr.execute("UPDATE pos_order SET amount_total_2=amount_total;")
        cr.execute("ALTER TABLE pos_order DROP COLUMN amount_total;")
        cr.commit()
    except psycopg2.ProgrammingError:
        cr.rollback()

    return True


def migrate(cr, installed_version):
    return _update_columns(cr)
