# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2017-TODAY Eynes (<http://www.e-mips.com.ar>)
#
#    This is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields


class AccountJournal(models.Model):
    _inherit = 'account.journal'

    use_points = fields.Boolean(string='Use points?', default=False)
    credipaz_card = fields.Boolean(string='Credipaz card?', default=False)
    mp_card = fields.Boolean(string='MercadoPago card?')
    card_ids = fields.Many2many('payment.card', 'journal_card_rel', 'journal_id', 'card_id', 'Cards')
    points_rate = fields.Float(string='Points Rate', help="1 point=(points_rate * 1 ARS)", default=1)
    pos_payment_type = fields.Selection(
        [
            ("cash", "Cash"),
            ("financial", "Financial"),
        ],
        string="PoS Payment Type",
        default="cash",
        help="Type used by the PoS to compute final prices",
    )
