# coding: utf-8

from openerp import models, api, fields
import logging

_logger = logging.getLogger(__name__)


class ProductUpdatePrice(models.TransientModel):
    _inherit = "product.update.price"
    _description = "Allow to update sale price"

    @api.multi
    def update_price(self):
        self.ensure_one()
        res = super(ProductUpdatePrice, self).update_price()
        product_ids = self.env.context.get('active_ids')
        products = self.env['product.template'].browse(product_ids)
        product_variants = products.mapped('product_variant_ids')
        _logger.info('Updating financings for %s products' % len(product_variants))
        product_variants.button_update_financings()
        return res
